/***************************************************************************
 *   Copyright (C) 2004-2005 by Georgy Yunaev, gyunaev@ulduzsoft.com       *
 *   Please do not use email address above for bug reports; see            *
 *   the README file                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FILETYPE_HANDLER_H
#define FILETYPE_HANDLER_H

// This file is shared between src (for qt browser) and kio-msits (for KDE browser)

static const char FILE_HANDLER_EXT[] = ".KCHMVIEWER_SPECIAL_HANDLER";

static bool handleFileType( const QString& link, QString& generated )
{
	if ( !link.endsWith( FILE_HANDLER_EXT ) )
		return false;

	QString filelink = link.left( link.length() - strlen( FILE_HANDLER_EXT ) );
	generated = "<html><body><img src=\"" + filelink + "\"></body></html>";
	return true;
}


#endif /* FILETYPE_HANDLER_H */
